## sitplus 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

#
# Project information
#

project(sitplus)

set(APP_NAME "sitplus")
set(SITPLUS_MAJOR_VERSION 1)
set(SITPLUS_MINOR_VERSION 0)
set(SITPLUS_REVISION_VERSION 3)
set(SITPLUS_VERSION "${SITPLUS_MAJOR_VERSION}.${SITPLUS_MINOR_VERSION}.${SITPLUS_REVISION_VERSION}")

#
# if this is set to ON, then all libraries are built as shared libraries by default.
#

SET(BUILD_SHARED_LIBS OFF CACHE BOOL 
	"Build shared libraries as default?")

#
# if this is set to ON, then all libraries are built as shared libraries by default.
#

SET(BUILD_TESTS OFF CACHE BOOL 
	"Build tests?")
	

#
# Generate Doxygen doc
#

SET(GENERATE_DOXYGEN ON CACHE BOOL 
	"Generate Doxygen documentation?")
	
#set(WHOLE_PROGRAM_OPTIMIZATION OFF CACHE BOOL "Flags for whole program optimization.")

SET(CMAKE_VERBOSE_MAKEFILE false)

if(WIN32)
	set(_WIN32_WINNT "0x0500")
endif(WIN32)

#
# Set default build mode
#

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

#
# Directories and RPATH
#

set (BINDIR "bin")

if (WIN32)
	set (LIBDIR "lib")
	set (LOCALEDIR "${BINDIR}/locale")
	set (DATADIR "${BINDIR}")
	set (DOCDIR "${BINDIR}/doc")
	set (PLUGINDIR "${BINDIR}")
	set (LIBRUNTIMEDIR "${BINDIR}")
else(WIN32)
	set (LIBDIR "lib/${APP_NAME}")
	set (LOCALEDIR "share/locale")
	set (DATADIR "share/${APP_NAME}")
	set (DOCDIR "${DATADIR}/doc")
	set (PLUGINDIR "lib/${APP_NAME}")
	set (LIBRUNTIMEDIR "lib/${APP_NAME}")
	set (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIBDIR}")
endif(WIN32)


#
# PATHS
# 
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")

INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/3rdparty)
# For the add_library & add_executable commands
set (CUSTOM_INCLUDE_PATH "${CMAKE_SOURCE_DIR}/include")
set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${BINDIR})
set (LIBRARY_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH})

#set (RUNTIME_OUTPUT_DIRECTORY ${EXECUTABLE_OUTPUT_PATH})

#
# Additional compiler flags. Needed for Linux 64 bit 
#
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
add_definitions(-fPIC)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

#
# Testing
#

#ENABLE_TESTING()

#####################################################################
# MACROS
#####################################################################

# - Copies a file to the MSVC build directories
#
# Visual Studio users expect to be able to click "Run" and have the application
# run correctly from the build directory. This macro provides the ability to 
# install files to the build directory so that his behaviour works as expected.
#
# This module defines the following macros:
# install_to_msvc_build_directory
macro(install_to_msvc_build_directory INSTALL_PREFIX_DIR INSTALL_FILE)
    #foreach(_MSVC_BUILD_TYPE ${CMAKE_CONFIGURATION_TYPES})
	foreach(_MSVC_BUILD_TYPE ${CMAKE_BUILD_TYPE})	
        set(_OUTPUT_DIRECTORY "${INSTALL_PREFIX_DIR}/${_MSVC_BUILD_TYPE}")
        if (${ARGC} STRGREATER 2)
            set(_INSTALL_SUFFIX_DIR ${ARGV2})
            set(_OUTPUT_DIRECTORY "${_OUTPUT_DIRECTORY}/${_INSTALL_SUFFIX_DIR}")
        endif (${ARGC} STRGREATER 2)
        
        get_filename_component(_INSTALL_FILENAME "${INSTALL_FILE}" NAME)
        configure_file(
            ${INSTALL_FILE}
            ${_OUTPUT_DIRECTORY}/${_INSTALL_FILENAME}
            COPYONLY
        )
    endforeach(_MSVC_BUILD_TYPE ${CMAKE_CONFIGURATION_TYPES})
endmacro(install_to_msvc_build_directory)

#####################################################################
# Required libraries
#####################################################################

#
# Boost
#

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
	set(Boost_USE_STATIC_LIBS OFF)
	set(Boost_USE_STATIC_RUNTIME    OFF)
else ()
	set(Boost_USE_STATIC_LIBS ON)
endif()
set(Boost_USE_MULTITHREAD ON)
#set(Boost_USE_STATIC_RUNTIME    OFF)

find_package(Boost COMPONENTS thread REQUIRED)
find_package(Boost COMPONENTS program_options REQUIRED)
message(STATUS "Boost_INCLUDE_DIR    : ${Boost_INCLUDE_DIR}")
message(STATUS "Boost_THREAD_LIBRARY : ${Boost_THREAD_LIBRARY}")
message(STATUS "Boost_PROGRAM_OPTIONS_LIBRARY : ${Boost_PROGRAM_OPTIONS_LIBRARY}")

# Boost version 1.39 or greater required 
# Lower versions fail to compile with g++ 4.4
IF ((${Boost_MAJOR_VERSION} LESS 1) OR 
	(${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} LESS 39))
	MESSAGE (FATAL_ERROR "Boost version less than 1.39")
ENDIF()
include_directories ( ${Boost_INCLUDE_DIRS} )
link_directories ( ${Boost_LIBRARY_DIRS} )

#
# POCO
#

find_package(POCO)
if(WIN32)
	find_file (POCO_FOUNDATION_RUNTIMED bin/PocoFoundationd.dll HINTS $ENV{POCO_ROOT})
#	find_file (POCO_XML_RUNTIMED bin/PocoXMLd.dll HINTS $ENV{POCO_ROOT})
	find_file (POCO_FOUNDATION_RUNTIME bin/PocoFoundation.dll HINTS $ENV{POCO_ROOT})
#	find_file (POCO_XML_RUNTIME bin/PocoXML.dll HINTS $ENV{POCO_ROOT})
	if (MSVC)
		install_to_msvc_build_directory("${EXECUTABLE_OUTPUT_PATH}" "${POCO_FOUNDATION_RUNTIMED}")
#		install_to_msvc_build_directory("${EXECUTABLE_OUTPUT_PATH}" "${POCO_XML_RUNTIMED}")
	endif(MSVC)
	
#	install(FILES ${POCO_FOUNDATION_RUNTIMED} ${POCO_XML_RUNTIMED} DESTINATION "${BINDIR}" CONFIGURATIONS Debug)
#	install(FILES ${POCO_FOUNDATION_RUNTIME} ${POCO_XML_RUNTIME} DESTINATION "${BINDIR}" CONFIGURATIONS Release RelWithDebInfo)
	
	install(FILES ${POCO_FOUNDATION_RUNTIMED} DESTINATION "${BINDIR}" CONFIGURATIONS Debug)
	install(FILES ${POCO_FOUNDATION_RUNTIME} DESTINATION "${BINDIR}" CONFIGURATIONS Release RelWithDebInfo)
endif(WIN32)

#
# wxWidgets
#

option(ENABLE_WXWIDGETS "Enable wxWidgets support" 1)

if (ENABLE_WXWIDGETS)
	if(WIN32)
		set(wxWidgets_CONFIGURATION "mswu")
	else(WIN32)
		if (CMAKE_BUILD_TYPE MATCHES Debug)
			set(wxWidgets_USE_DEBUG ON)
		else()
			set(wxWidgets_USE_DEBUG OFF)
		endif()
		set(wxWidgets_USE_UNICODE TRUE)
	endif(WIN32)
	message (STATUS "wxWidgets_USE_DEBUG : ${wxWidgets_USE_DEBUG}")

	find_package(wxWidgets COMPONENTS core base REQUIRED)
	include(${wxWidgets_USE_FILE})
	message(STATUS "wxWidgets_LIBRARIES : ${wxWidgets_LIBRARIES}")
	message(STATUS "wxWidgets_DEFINITIONS : ${wxWidgets_DEFINITIONS}")
	message(STATUS "wxWidgets_DEFINITIONS_DEBUG : ${wxWidgets_DEFINITIONS_DEBUG}")
	message(STATUS "wxWidgets_ROOT_DIR	: ${wxWidgets_ROOT_DIR}")

	# Make sure wxWidgets are available for debugging
	if (WIN32)
		if (MSVC)
			install_to_msvc_build_directory( "${EXECUTABLE_OUTPUT_PATH}" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxbase28ud_vc_custom.dll")
			install_to_msvc_build_directory( "${EXECUTABLE_OUTPUT_PATH}" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxmsw28ud_core_vc_custom.dll")
		endif(MSVC)
	
		install(FILES "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxbase28ud_vc_custom.dll" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxmsw28ud_core_vc_custom.dll" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxmsw28ud_adv_vc_custom.dll" DESTINATION "${BINDIR}" CONFIGURATIONS Debug)
		install(FILES "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxbase28u_vc_custom.dll" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxmsw28u_core_vc_custom.dll" "${wxWidgets_ROOT_DIR}/lib/vc_dll/wxmsw28u_adv_vc_custom.dll" DESTINATION "${BINDIR}" CONFIGURATIONS Release RelWithDebInfo)
	endif(WIN32)
endif (ENABLE_WXWIDGETS)

#
# i18n
#

option(ENABLE_NLS "Enable translations support and building" ON)
if (ENABLE_NLS)
	if (WIN32)
		option(ENABLE_POT_UPDATE_TARGET "Enables the tools to update the pot files." OFF)
	else(WIN32)
		option(ENABLE_POT_UPDATE_TARGET "Enables the tools to update the pot files." ON)
	endif(WIN32)

	find_package(Gettext REQUIRED)
	find_package(Libintl REQUIRED)

	if(ENABLE_POT_UPDATE_TARGET)
		find_package(TranslationTools REQUIRED)
	endif(ENABLE_POT_UPDATE_TARGET)
	
	# get languages
	file(READ po/LINGUAS LINGUAS)
	string(REPLACE "\n" "" LINGUAS ${LINGUAS})
	separate_arguments(LINGUAS)
	
	INCLUDE_DIRECTORIES(BEFORE ${LIBINTL_INCLUDE_DIR})
	add_subdirectory(po)
	
	if(WIN32)
		install(FILES "${LIBINTL_ROOT_PATH}/bin/libintl3.dll"  "${LIBINTL_ROOT_PATH}/bin/libiconv2.dll" DESTINATION "${BINDIR}")
	endif(WIN32)	
endif (ENABLE_NLS)

#####################################################################
# configuration file
#####################################################################
configure_file ("${PROJECT_SOURCE_DIR}/include/config.h.in"
                "${PROJECT_BINARY_DIR}/include/config.h" )
configure_file ("${PROJECT_SOURCE_DIR}/include/version.h.in"
                "${PROJECT_BINARY_DIR}/include/version.h" )
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_BINARY_DIR}/include/)

#####################################################################
# Compiler flags
#####################################################################
#
#  Maximum level of warnings enabled
# 

set(EXTRA_C_FLAGS "")
set(EXTRA_C_FLAGS_RELEASE "")
set(EXTRA_C_FLAGS_DEBUG "")
set(EXTRA_EXE_LINKER_FLAGS "")
set(EXTRA_EXE_LINKER_FLAGS_RELEASE "")
set(EXTRA_EXE_LINKER_FLAGS_DEBUG "")

if(MSVC)
    set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS")
    # 64-bit portability warnings, in MSVC8
    if(MSVC80)
        set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} /Wp64")
    endif()
    if(MSVC90)
	set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} /D _BIND_TO_CURRENT_CRT_VERSION=1 /D _BIND_TO_CURRENT_VCLIBS_VERSION=1")
    endif()

    set(EXTRA_EXE_LINKER_FLAGS_RELEASE "${EXTRA_EXE_LINKER_FLAGS_RELEASE} /debug")

    # Whole program optimization
    if(WHOLE_PROGRAM_OPTIMIZATION AND MSVC_VERSION GREATER 1300)
        set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} /GL")
        set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
        set(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} /LTCG")
    endif()   
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    # High level of warnings.
    set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} -Wall")

    # The -Wno-long-long is required in 64bit systems when including sytem headers.
    if(${CMAKE_SYSTEM_PROCESSOR} MATCHES x86_64*)
    set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} -Wno-long-long")
    endif()
    if(${CMAKE_SYSTEM_PROCESSOR} MATCHES amd64*)
    set(EXTRA_C_FLAGS "${EXTRA_C_FLAGS} -Wno-long-long")
    endif()

    # Whole program optimization
    if(WHOLE_PROGRAM_OPTIMIZATION)
        set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -fwhole-program --combine")
    endif()

    # Other optimizations
    if(USE_OMIT_FRAME_POINTER)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -fomit-frame-pointer")
    endif()
    if(USE_O2)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -O2")
    endif()
    if(USE_O3)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -O3")
    endif()
    if(USE_FAST_MATH)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -ffast-math")
    endif()
    if(USE_POWERPC)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -mcpu=G3 -mtune=G5")
    endif()
    if(USE_MMX)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -mmmx")
    endif()
    # SSE should be disabled under MingW because it generates compiler errors
    if(USE_SSE)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -msse")
    endif()
    # SSE2 should be disabled under MingW because it generates compiler errors
    if(USE_SSE2)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -msse2")
    endif()
    # SSE3 should be disabled under MingW because it generates compiler errors
    if(USE_SSE3 AND NOT MINGW)
       set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -msse3")
    endif()

    set(EXTRA_C_FLAGS_RELEASE "${EXTRA_C_FLAGS_RELEASE} -DNDEBUG")
    set(EXTRA_C_FLAGS_DEBUG "${EXTRA_C_FLAGS_DEBUG} -O0 -DDEBUG -D_DEBUG")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_C_FLAGS}")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} ${EXTRA_C_FLAGS_RELEASE}")

=== 3rdparty/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
add_subdirectory(nvwa)
add_subdirectory(wiiuse)
if (WIN32)
add_subdirectory(libconfig)
endif(WIN32)

=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(ASCIIDOC_FILES
	activities
	manual
	mod_collage_xml_help
)

# Generate list of html files
foreach(ASCIIDOC_FILE ${ASCIIDOC_FILES})
	set (ASCIIDOC_FILES_HTML
		${ASCIIDOC_FILES_HTML}
		${ASCIIDOC_FILE}.html
	)
endforeach(ASCIIDOC_FILE ${ASCIIDOC_FILES})	

if (NOT WIN32)
	# We do not expect to find asciidoc on Windows systems
	find_program(ASCIIDOC_EXECUTABLE asciidoc)
	set(ASCIIDOC_OPTIONS
        -a toc
	)
	if(NOT ASCIIDOC_EXECUTABLE)
		message(WARNING "asciidoc not found")
	else(NOT ASCIIDOC_EXECUTABLE)
		foreach(ASCIIDOC_FILE ${ASCIIDOC_FILES})
			#set (ASCIIDOC_FILES_TXT 
			#	${ASCIIDOC_FILES_TXT}
			#	${ASCIIDOC_FILE}.txt.dummy
			#)
		
			# Generate html file from ascii files
			add_custom_command(
				# misses bug address
				OUTPUT ${PROJECT_SOURCE_DIR}/doc/${ASCIIDOC_FILE}.html
								
				COMMAND ${ASCIIDOC_EXECUTABLE} ${ASCIIDOC_OPTIONS} ${ASCIIDOC_FILE}.txt
						
				# replace the chartype
				DEPENDS ${PROJECT_SOURCE_DIR}/doc/${ASCIIDOC_FILE}.txt
				
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/doc
				COMMENT "doc-update [${ASCIIDOC_FILE}]: Generated html doc file."
			)
			
		endforeach(ASCIIDOC_FILE ${ASCIIDOC_FILES})
		
		add_custom_target(doc-update
			COMMENT "doc-update: Done."
			DEPENDS ${ASCIIDOC_FILES_HTML}
		)
	endif(NOT ASCIIDOC_EXECUTABLE)
endif (NOT WIN32)

# Install html files

install(FILES ${ASCIIDOC_FILES_HTML} DESTINATION "${DOCDIR}")
install(DIRECTORY images DESTINATION "${DOCDIR}")

=== po/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set(NORMAL_DOMAINS
	sitplus
	sitplus-mod_camera
	sitplus-mod_midi
	sitplus-mod_puredata
	sitplus-mod_score_player
	sitplus-mod_widgets
	sitplus-mod_wiimotes
	sitplus-sp
	sitplus-spcore
	sitplus-sphost
)

# All available domains.
set(DOMAINS
	${NORMAL_DOMAINS}
	)
#	sitplus-manpages
#	sitplus-manual
#)

# If a source file has not GETTEXT_DOMAIN it belongs to this domain.
# Useful for automatically generate .pot files using 
# update_pot_source_dependencies (which is currently disabled)
set(DEFAULT_DOMAIN sitplus)

############ pot update. ###########
#set(WMLXGETTEXT ${PROJECT_SOURCE_DIR}/utils/wmlxgettext)
if(ENABLE_POT_UPDATE_TARGET)
	foreach(DOMAIN ${NORMAL_DOMAINS})
		# Update the source file dependencies.
#		include(update_pot_source_dependencies)

		# Generate pot file for c++ data.
		add_custom_command(
			# misses bug address
			OUTPUT ${PROJECT_BINARY_DIR}/po/${DOMAIN}.cpp.pot
			# create the pot file make sure we always get output.
			
			COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${GETTEXT_XGETTEXT_OPTIONS}
					--files-from=${PROJECT_SOURCE_DIR}/po/${DOMAIN}/POTFILES.in 
					--output-dir=${PROJECT_BINARY_DIR}/po/
					--output=${DOMAIN}.cpp.pot
			# replace the chartype
			COMMAND sed -i 
				s/charset=CHARSET/charset=UTF-8/ 
				${PROJECT_BINARY_DIR}/po/${DOMAIN}.cpp.pot
			# Remove some header info - Need to test whether needed.
			DEPENDS ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/POTFILES.in
			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
			COMMENT "pot-update [${DOMAIN}]: Generated source pot file."
		)

		# Generate pot file for .sp scripts		
		add_custom_command(
			# misses bug address
			OUTPUT ${PROJECT_BINARY_DIR}/po/${DOMAIN}.sp.pot
			# create the pot file make sure we always get output.
			
			COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${GETTEXT_XGETTEXT_OPTIONS}
					--files-from=${PROJECT_SOURCE_DIR}/po/${DOMAIN}/POTFILES.sp.in 
					--output-dir=${PROJECT_BINARY_DIR}/po/
					--language=awk
					--output=${DOMAIN}.sp.pot
			# replace the chartype
			COMMAND sed -i 
				s/charset=CHARSET/charset=UTF-8/ 
				${PROJECT_BINARY_DIR}/po/${DOMAIN}.sp.pot
			# Remove some header info - Need to test whether needed.
			DEPENDS ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/POTFILES.sp.in
			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
			COMMENT "pot-update [${DOMAIN}]: Generated sp pot file."
		)
	
		# Generate pot file for wml data.
#		add_custom_command(
#			OUTPUT ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${DOMAIN}.wml.pot

#			COMMAND ${WMLXGETTEXT} 
#				--directory=${PROJECT_SOURCE_DIR} 
#				--domain=${DOMAIN} 
#				`cd ${PROJECT_SOURCE_DIR} && 
#					sh ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/FINDCFG`
#					> ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${DOMAIN}.wml.pot
#			DEPENDS ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/FINDCFG
#			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
#			COMMENT "pot-update [${DOMAIN}]: Generated wml pot file."
#		)

		# Merge both pot files
		add_custom_command(
			# The old function checked for differences in the time in the header see
			# what we need to do with it.
			OUTPUT ${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot

			COMMAND ${GETTEXT_MSGCAT_EXECUTABLE} 
				--sort-by-file 
					 ${PROJECT_BINARY_DIR}/po/${DOMAIN}.cpp.pot
					 ${PROJECT_BINARY_DIR}/po/${DOMAIN}.sp.pot
				--output ${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot

			COMMAND ${CMAKE_COMMAND} -E remove 
					 ${PROJECT_BINARY_DIR}/po/${DOMAIN}.cpp.pot
					 ${PROJECT_BINARY_DIR}/po/${DOMAIN}.sp.pot

			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
			DEPENDS 
					${PROJECT_BINARY_DIR}/po/${DOMAIN}.cpp.pot
					${PROJECT_BINARY_DIR}/po/${DOMAIN}.sp.pot
			COMMENT "pot-update [${DOMAIN}]: Generated pot file."
		)

		# Update / generate the po files for all languages
		foreach(LINGUA ${LINGUAS})

			### Generate new po file.

			# For some reason CMake is rather happy to delete the po file in
			# some cases. To avoid that problem only generate the init rule
			# if the po file doesn't exist. The case where a po file used to
			# exist and no longer exists should never occur
			if(NOT EXISTS ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po)			
				add_custom_command(
					OUTPUT ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po
					COMMAND ${GETTEXT_MSGINIT_EXECUTABLE}
							--no-translator 
							--input=${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot 
							--output-file=${LINGUA}.po
							--locale=${LINGUA}
					WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/po/${DOMAIN}
					DEPENDS
						${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot
					COMMENT 
						"pot-update [${DOMAIN}-${LINGUA}]: Initialized po file."
				)
			endif(NOT EXISTS ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po)
						
			### Update existing po file.
			add_custom_command(
				# The pot-update depends on a dummy file which we promise to
				# make. We don't make this dummy file but the pot-update
				# still works.
				OUTPUT ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po.dummy
				COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} 
						--backup=none
						--previous
						-U ${LINGUA}.po 
						${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot
				DEPENDS
					${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po
					${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot					
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/po/${DOMAIN}
				COMMENT "pot-update [${DOMAIN}-${LINGUA}]: Updated po file."
			)

			SET(pot-update-SRC ${pot-update-SRC} ${DOMAIN}/${LINGUA}.po.dummy)

		endforeach(LINGUA ${LINGUAS})

		# Add to target list
		SET(pot-update-SRC 
			${pot-update-SRC} 
			${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot # should depend on languages
		)

	endforeach(DOMAIN ${NORMAL_DOMAINS})

	# The target to call
	add_custom_target(pot-update
		COMMENT "pot-update: Done."
		DEPENDS ${pot-update-SRC}
	)

	##### po update per language #####
	foreach(LINGUA ${LINGUAS})
		foreach(DOMAIN ${DOMAINS})
			add_custom_command(
				# The pot-update depends on a dummy file which we promise to
				# make. We don't make this dummy file but the pot-update
				# still works.
				OUTPUT ${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po.lang.dummy
				# After the po file is updated it might look not entirely as
				# wanted, for example poedit reorders the file. Use msgattrib
				# to reformat the file, use a helper file to do so.
				COMMAND ${GETTEXT_MSGATTRIB_EXECUTABLE}
						--output ${LINGUA}.po.tmp
						${LINGUA}.po
				COMMAND ${CMAKE_COMMAND} -E copy
						${LINGUA}.po.tmp
						${LINGUA}.po
				COMMAND ${CMAKE_COMMAND} -E remove
						${LINGUA}.po.tmp
				# Now merge with the pot file.
				COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE}
						--backup=none
						--previous
						-U ${LINGUA}.po
						${PROJECT_BINARY_DIR}/po/${DOMAIN}.pot
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/po/${DOMAIN}
				COMMENT "po-update [${DOMAIN}-${LINGUA}]: Updated po file."
			)

			set(po-update-LINGUA-SRC ${po-update-LINGUA-SRC} 
				${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po.lang.dummy
			)

		endforeach(DOMAIN ${DOMAINS})
		add_custom_target(po-update-${LINGUA}
			COMMENT "po-update ${LINGUA}: Done."
			DEPENDS ${po-update-LINGUA-SRC}
		)
		set(po-update-LINGUA-SRC "")
	endforeach(LINGUA ${LINGUAS})

endif(ENABLE_POT_UPDATE_TARGET)

if(ENABLE_NLS)

	set(GETTEXT_MSGFMT_PARAMETER --check-format --check-domain )

	if(ENABLE_POT_UPDATE_TARGET)
		# Only set the verbose flag for maintainers.
		set(GETTEXT_MSGFMT_PARAMETER -v ${GETTEXT_MSGFMT_PARAMETER} )
	endif(ENABLE_POT_UPDATE_TARGET)

	foreach(LINGUA ${LINGUAS})

		foreach(DOMAIN ${DOMAINS})

			add_custom_command(
				OUTPUT ${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES
				COMMAND ${CMAKE_COMMAND} -E make_directory 
						${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES
				COMMENT "mo-update [${LINGUA}]: Creating locale directory."
			)

			add_custom_command(
				OUTPUT ${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
				COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
						${GETTEXT_MSGFMT_PARAMETER}
						-o ${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo ${LINGUA}.po
				DEPENDS 
					${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES
					${PROJECT_SOURCE_DIR}/po/${DOMAIN}/${LINGUA}.po
				WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/po/${DOMAIN}
				COMMENT "mo-update [${DOMAIN}-${LINGUA}]: Creating mo file."
			)

			install(FILES ${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
					DESTINATION ${LOCALEDIR}/${LINGUA}/LC_MESSAGES)

			set(mo-update-SRC ${mo-update-SRC} 
				${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
			)
			set(mo-update-LINGUA-SRC ${mo-update-LINGUA-SRC} 
				${PROJECT_BINARY_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
			)

		endforeach(DOMAIN ${DOMAINS})

		if(ENABLE_POT_UPDATE_TARGET)
			add_custom_target(mo-update-${LINGUA}
				COMMENT "mo-update ${LINGUA}: Done."
				DEPENDS ${mo-update-LINGUA-SRC}
			)
			set(mo-update-LINGUA-SRC "")
		endif(ENABLE_POT_UPDATE_TARGET)

	endforeach(LINGUA ${LINGUAS})

	# The target to call
	add_custom_target(mo-update ALL
		COMMENT "mo-update: Done."
		DEPENDS ${mo-update-SRC}
	)

	set_directory_properties(properties 
		ADDITIONAL_MAKE_CLEAN_FILES ${PROJECT_BINARY_DIR}/${LOCALEDIR}
	)

endif(ENABLE_NLS)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
add_subdirectory(spcore)
add_subdirectory(mod_sdl)
add_subdirectory(testcommon)
add_subdirectory(creavision)
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
add_subdirectory(libwebcam)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
add_subdirectory(mod_camera)
add_subdirectory(mod_collage)
add_subdirectory(mod_wiimotes)
add_subdirectory(mod_midi)
add_subdirectory(widgets_base)
add_subdirectory(sitplus)
add_subdirectory(mod_vision)
add_subdirectory(sphost)
add_subdirectory(mod_widgets)
add_subdirectory(mod_score_player)
add_subdirectory(mod_puredata)
add_subdirectory(mod_io)
add_subdirectory(mod_hid)
add_subdirectory(mod_audio)
add_subdirectory(mod_ipl_sdl)

=== 3rdparty/libconfig/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libconfig)

set(libconfig_SRCS
	grammar.c
	grammar.h
	libconfig.c
	libconfig.h
	parsectx.h
	scanctx.c
	scanctx.h
	scanner.c
	scanner.h
	strbuf.c
	strbuf.h
	wincompat.h
)

SET (LibConfig_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
MESSAGE (STATUS "LIBCONFIG: ${LibConfig_INCLUDE_DIR}")
add_definitions (-DLIBCONFIG_EXPORTS -DYY_NO_UNISTD_H -DYY_USE_CONST -D_CRT_SECURE_NO_DEPRECATE -D_STDLIB_H)
add_library (libconfig SHARED ${libconfig_SRCS})

if(WIN32)
	install (TARGETS libconfig RUNTIME DESTINATION ${BINDIR})
endif(WIN32)

=== 3rdparty/nvwa/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(nvwa)

set(nvwa_SRCS
	bool_array.cpp
	bool_array.h
	class_level_lock.h
	cont_ptr_utils.h
	debug_new.cpp
	debug_new.h
	fast_mutex.h
	fixed_mem_pool.h
	mem_pool_base.cpp
	mem_pool_base.h
	object_level_lock.h
	pctimer.h
	set_assign.h
	static_assert.h
	static_mem_pool.cpp
	static_mem_pool.h
)
 
add_library (nvwa STATIC ${nvwa_SRCS})
add_executable (nvwa_loader nvwa_loader.cpp)

=== 3rdparty/wiiuse/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(wiiuselib)

set (WIIUSE_MAJOR_VERSION 0)
set (WIIUSE_RELEASE_VERSION 13)
set (WIIUSE_EPOCH_VERSION 0)

#
# Set default build mode
#

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF (WIN32)
	# On WIN32 force shared lib because wiiuse depends on many specific libraries
	SET(BUILD_SHARED_LIBS ON)
ELSE (WIN32)
	IF(NOT DEFINED BUILD_SHARED_LIBS)
		SET(BUILD_SHARED_LIBS OFF CACHE BOOL 
			"Build shared libraries as default?")
	ENDIF(NOT DEFINED BUILD_SHARED_LIBS)
ENDIF(WIN32)

#
# Compilation flags
#

#IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
#	ADD_DEFINITIONS (-DWITH_WIIUSE_DEBUG)
#ENDIF()

IF (CMAKE_COMPILER_IS_GNUCC)
	ADD_DEFINITIONS (-Wall)
ENDIF()

SET (WIIUSE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}/include")
INCLUDE_DIRECTORIES(${WIIUSE_INCLUDE_DIRECTORIES})

IF (NOT EXECUTABLE_OUTPUT_PATH)
	set (EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
ENDIF()

IF (NOT LIBRARY_OUTPUT_PATH)
	set (LIBRARY_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH})
ENDIF()

SET(WIIUSE_BUILD_EXAMPLES OFF CACHE BOOL "Build examples")

add_subdirectory(src)

IF (WIIUSE_BUILD_EXAMPLES)
	add_subdirectory(example)
	add_subdirectory(example-sdl)
ENDIF()

=== src/creavision/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(creavision)

set(creavision_SRCS
	crvcamera.h
	crvcamera.cpp
	crvcamera_enum.h
	crvcamera_enum.cpp	
	crvcolor.cpp
	crvcolor.h
	crvgeomtry.cpp
	crvgeomtry.h
	crvhistogram.cpp
	crvhistogram.h
	crvimage.cpp
	crvimage.h
	crvmisc.cpp
	crvmisc.h
	crvnormroi.cpp
	crvnormroi.h
	crvskindetection.cpp
	crvskindetection.h
)

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
FIND_PACKAGE( GLIB2 REQUIRED )
INCLUDE_DIRECTORIES (${GLIB2_INCLUDE_DIRS})
INCLUDE_DIRECTORIES (../libwebcam)
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_v4l2.cpp
	crvcamera_v4l2.h
	colorspaces.cpp
	colorspaces.h
	pwc-ioctl.h
	defs.h
)
ELSEIF(WIN32)
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_wdm.cpp
	crvcamera_wdm.h
	videoInput.cpp
	videoInput.h
)
ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux")
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_cv.cpp
	crvcamera_cv.h
)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

if(UNIX)
	# For UNIX platforms we assume OpenCV is under /usr which 
	# would not be always true
	set (OpenCV_DIR "/usr")
endif(UNIX)

FIND_PACKAGE( OpenCV REQUIRED )

message(STATUS "OpenCV_FOUND. ${OpenCV_FOUND}")
message(STATUS "OpenCV_LIBS. ${OpenCV_LIBS}")
message(STATUS "OpenCV_INCLUDE_DIR. ${OpenCV_INCLUDE_DIR}")

if(WIN32)
	install (FILES 
		"${OpenCV_DIR}/bin/opencv_core220.dll"
		"${OpenCV_DIR}/bin/opencv_highgui220.dll"
		"${OpenCV_DIR}/bin/opencv_imgproc220.dll"
		"${OpenCV_DIR}/bin/opencv_video220.dll"
		DESTINATION ${LIBRUNTIMEDIR}
	)
endif(WIN32)

add_library (creavision STATIC ${creavision_SRCS})
TARGET_LINK_LIBRARIES(creavision ${OpenCV_LIBS} )

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
	TARGET_LINK_LIBRARIES(creavision libwebcam v4l2)
ELSEIF(WIN32)
	TARGET_LINK_LIBRARIES(creavision ole32.lib strmiids.lib uuid.lib dxguid.lib)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

=== src/mod_audio/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(spmod_audio)

set(spmod_audio_SRCS	
	mod_audio.cpp
)

find_package(wxWidgets COMPONENTS core base adv REQUIRED)
message (STATUS "wxWidgets_LIBRARIES:${wxWidgets_LIBRARIES}")

add_library (spmod_audio MODULE ${spmod_audio_SRCS})
target_link_libraries(spmod_audio spcore)
target_link_libraries(spmod_audio ${wxWidgets_LIBRARIES})

INSTALL (TARGETS spmod_audio RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})

=== src/mod_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(spmod_camera)

set(spmod_camera_SRCS
	${CUSTOM_INCLUDE_PATH}/mod_camera/iplimagetype.h
	${CUSTOM_INCLUDE_PATH}/mod_camera/roitype.h
	roitype.cpp
	mod_camera.cpp
	mod_camera.h
	wcameraconfiguration.cpp
	wcameraconfiguration.h
	wcamerapanel.cpp
	wcamerapanel.h
	wxroicontrol.h
	wxroicontrol.cpp
)

# Base library
FIND_PACKAGE( OpenCV REQUIRED )
INCLUDE_DIRECTORIES (${OpenCV_INCLUDE_DIR})
INCLUDE_DIRECTORIES (..)

add_library (spmod_camera MODULE ${spmod_camera_SRCS})
target_link_libraries(spmod_camera creavision)
target_link_libraries(spmod_camera spcore)
target_link_libraries(spmod_camera ${Boost_THREAD_LIBRARY})
target_link_libraries(spmod_camera ${Boost_PROGRAM_OPTIONS_LIBRARY})
target_link_libraries(spmod_camera ${wxWidgets_LIBRARIES})

IF(BUILD_TESTS)
	ADD_SUBDIRECTORY(tests)
ENDIF(BUILD_TESTS)

INSTALL (TARGETS spmod_camera RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})

=== src/mod_collage/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(spmod_collage)

find_package(POCO)
find_package ( SDL REQUIRED )
find_package ( SDL_image REQUIRED )
find_package ( SDL_gfx REQUIRED )

set(spmod_collage_SRCS
	mod_collage.cpp
)

#set (mod_collage_gui_SRCS
#	config_gui.h
#	config_gui.cpp
#)

include_directories (${SDL_INCLUDE_DIR})
include_directories (${SDLIMAGE_INCLUDE_DIR})
include_directories (${SDLGFX_INCLUDE_DIR})

include_directories (${POCO_INCLUDE_DIR})
include_directories (${POCO_XML_INCLUDE_DIR})

# Base library
add_library (spmod_collage MODULE ${spmod_collage_SRCS})
target_link_libraries(spmod_collage spcore)
target_link_libraries(spmod_collage mod_XMLImplementation)
target_link_libraries(spmod_collage mod_Pictures)
target_link_libraries(spmod_collage mod_Kernel)
#target_link_libraries(spmod_collage mod_collage_gui)

target_link_libraries(spmod_collage ${SDL_LIBRARY})
target_link_libraries(spmod_collage ${SDLIMAGE_LIBRARY})
target_link_libraries(spmod_collage ${SDLGFX_LIBRARY})

target_link_libraries(spmod_collage ${POCO_XML_LIBRARY})


# Base gui library
#add_library (mod_collage_gui STATIC ${mod_collage_gui_SRCS})
#target_link_libraries(mod_collage_gui spcore)
#target_link_libraries(mod_collage_gui ${wxWidgets_LIBRARIES})

add_subdirectory(XMLImplementation)
add_subdirectory(Pictures)
add_subdirectory(Kernel)

IF(BUILD_TESTS)
	ADD_SUBDIRECTORY(tests)
ENDIF(BUILD_TESTS)

INSTALL (TARGETS spmod_collage RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})
IF (WIN32)
	FIND_PATH (SDL_image_RUNTIME_LIBS_DIR SDL_image.dll
		HINTS
		$ENV{SDLIMAGEDIR}
		PATH_SUFFIXES lib64 lib
		PATHS)
	FILE (GLOB SDL_image_RUNTIME_LIBS ${SDL_image_RUNTIME_LIBS_DIR}/*.dll)
	
	INSTALL (PROGRAMS ${SDL_image_RUNTIME_LIBS} DESTINATION ${LIBRUNTIMEDIR})
	
	FIND_PATH (SDL_gfx_RUNTIME_LIBS_DIR SDL_gfx.dll
		HINTS
		$ENV{SDLGFXDIR}
		PATH_SUFFIXES lib64 lib
		PATHS)
	FILE (GLOB SDL_gfx_RUNTIME_LIBS ${SDL_gfx_RUNTIME_LIBS_DIR}/*.dll)
	
	INSTALL (PROGRAMS ${SDL_gfx_RUNTIME_LIBS} DESTINATION ${LIBRUNTIMEDIR})
ENDIF (WIN32)

if(WIN32)
	find_file (POCO_XML_RUNTIMED bin/PocoXMLd.dll HINTS $ENV{POCO_ROOT})
	find_file (POCO_XML_RUNTIME bin/PocoXML.dll HINTS $ENV{POCO_ROOT})
	if (MSVC)
		install_to_msvc_build_directory("${EXECUTABLE_OUTPUT_PATH}" "${POCO_XML_RUNTIMED}")
	endif(MSVC)
	
	install(FILES ${POCO_XML_RUNTIMED} DESTINATION "${BINDIR}" CONFIGURATIONS Debug)
	install(FILES ${POCO_XML_RUNTIME} DESTINATION "${BINDIR}" CONFIGURATIONS Release RelWithDebInfo)
endif(WIN32)

=== debian/changelog ===
sitplus (1.0.3-5.1build5) bionic; urgency=medium

  * No-change rebuild for libpoco soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Feb 2018 00:14:45 +0000

sitplus (1.0.3-5.1build4) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 13:07:56 +0100

sitplus (1.0.3-5.1build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:13 +0000

sitplus (1.0.3-5.1build2) artful; urgency=medium

  * No-change rebuild against libpocofoundation48

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2017 08:19:49 +0000

sitplus (1.0.3-5.1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:16:55 +0200

sitplus (1.0.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
    * Fix build with opencv 3 (Closes: #841405, #788209)
      - d/p:
        - Add 0010-Use-calcOpticalFlowFarneback-instead-of-cvCalcOptica.patch.
        - Add 0011-Remove-old-FindOpenCV.patch.
        - Add fix-build-with-opencv-2.x.
        Thanks to Jochen Sprickerhof <jspricke@debian.org>.
      - d/control: Add libopencv-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Nov 2016 03:31:59 +0900

sitplus (1.0.3-5) unstable; urgency=medium

  * Team upload.
  * d/p/siteplus-1.0.3-gcc-6: Fix compilation with gcc-6,
    Closes: #811795
  * d/copyright: DEP5 corrections 
  * cme fix dpkg-control
  * d/: remove sitplus.menu file
  * d/rules: Enable hardening and remove -fpermissive

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 09 Jul 2016 12:59:15 +0000

sitplus (1.0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0. (Closes: #750910)

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 16:07:22 +1200

sitplus (1.0.3-4) unstable; urgency=low

  * Team upload.
  * Remove deprecated V4L2_CID_[HV]CENTER controls.
  * Use boost::TIME_UTC_. (Closes: #710645)
  * Added missing libs to link, fixing FTBFS on ubuntu.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 11:54:14 +0100

sitplus (1.0.3-3) unstable; urgency=low

  * debian/patches/sitplus-opencv2.4.patch: Build with recent opencv 2.4
    (Thanks for the patch to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #678226

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jun 2012 09:07:20 +0200

sitplus (1.0.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Replace Build-Depends on libcv-dev and
    libcvaux-dev with libopencv-dev. (Closes: #675183)

 -- Tim Retout <diocles@debian.org>  Thu, 07 Jun 2012 08:33:27 +0100

sitplus (1.0.3-2) unstable; urgency=low

  * Work around build failure with GCC 4.7. (Thanks for the patch to
    Matthias Klose <doko@debian.org>
    Closes: #672033.
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Fri, 11 May 2012 08:03:06 +0200

sitplus (1.0.3-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version.
  * Removed "lib_location_fix.diff" patch, no longer needed.
  * Removed "packager.diff" patch, no longer needed.
  
  [ Luis Rivas Vañó ]
  * Adding new dependencies (doxygen, libxtst-dev)
  * Adding Jonathan McCrohan patch for new libconfig compatibility.
  * Overriding dh_makeshlibs in rules files to avoid the
    execution of ldconfig in postinst and postrm scripts.
  * Now dh_installmenu takes care of adding update-menus to
    the postinst and postrm scripts.
  * Overriding dh_installchangelogs: now we install the upstream 
    changelog.

 -- Luis Rivas Vañó <luinix@gmail.com>  Mon, 05 Mar 2012 12:58:42 +0100

sitplus (1.0.1-4) unstable; urgency=low

  * debian/patches/libconfig_workaround.patch: Do not try wrong
    workarounds for FTBFS with libconfig according to advise given
    by upstream
    Closes: #661403
  * Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright:
     - check via `cme fix dpkg-copyright'
     - Final format definition
     - Added Upstream-Contact

 -- Andreas Tille <tille@debian.org>  Tue, 28 Feb 2012 21:25:22 +0100

=== debian/control ===
Source: sitplus
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Luis Rivas Vañó <luinix@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libpoco-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               libboost-system-dev,
               libbluetooth-dev,
               libconfig-dev,
               libsdl1.2-dev,
               libopencv-dev,
               libopencv-dev | libhighgui-dev,
               libv4l-dev,
               libportmidi-dev,
               libboost-filesystem-dev,
               asciidoc,
               libsdl-gfx1.2-dev,
               libsdl-image1.2-dev,
               libwxgtk3.0-dev,
               doxygen,
               libxtst-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sitplus.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sitplus.git
Homepage: http://sitplus.crea-si.com

Package: sitplus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sitplus-data,
         pd-cyclone,
         pd-freeverb,
         pd-iemnet,
         puredata,
         pd-libdir,
         pd-list-abs
Description: Free software framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.

Package: sitplus-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: sitplus
Description: Data files for Sitplus, a framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.
 .
 This package provides the data for sitplus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for sitplus
# Author: Luis Rivas Vañó <luinix@gmail.com>
# License: GPL-3.0+

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DCMAKE_INSTALL_RPATH=/usr/lib/sitplus \
	    -DCMAKE_EXE_LINKER_FLAGS="-lboost_system -lopencv_core -lopencv_highgui" \
	    -DOpenCV_DIR=/usr/share/OpenCV/

override_dh_auto_install:
	dh_auto_install
	rm -f ${CURDIR}/debian/tmp/usr/share/sitplus/graphics/pictures/License.txt

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs ${CURDIR}/NEWS

%:
	dh $@
